javax.persistence.criteria

## Interface CriteriaBuilder.SimpleCase<C,R>

All Superinterfaces:
  Expression<R>, Selection<R>, TupleElement<R>

Enclosing interface:
  CriteriaBuilder

    public static interface CriteriaBuilder.SimpleCase<C,R>
    extends Expression<R>

### Method Summary

All Methods Instance Methods Abstract Methods
`Expression<C>` `getExpression()`
`Expression<R>` `otherwise(Expression<? extends R> result)`
`Expression<R>` `otherwise(R result)`
`CriteriaBuilder.SimpleCase<C,R>` `when(C condition, Expression<? extends R> result)`
`CriteriaBuilder.SimpleCase<C,R>` `when(C condition, R result)`

### Methods inherited from interface javax.persistence.criteria.Expression

`as, in, in, in, in, isNotNull, isNull`

### Methods inherited from interface javax.persistence.criteria.Selection

`alias, getCompoundSelectionItems, isCompoundSelection`

### Methods inherited from interface javax.persistence.TupleElement

`getAlias, getJavaType`

### Method Detail

#### getExpression

    Expression<C> getExpression()

#### when

    CriteriaBuilder.SimpleCase<C,R> when(C condition,
                                         R result)

#### when

    CriteriaBuilder.SimpleCase<C,R> when(C condition,
                                         Expression<? extends R> result)

#### otherwise

    Expression<R> otherwise(R result)

#### otherwise

    Expression<R> otherwise(Expression<? extends R> result)